AutoCAD Civil 3D General Discussion

AutoCAD Civil 3D General Discussion

Reply
Distinguished Contributor
Nrhoads
Posts: 523
Registered: ‎06-14-2006
Message 1 of 62 (144 Views)

Available point numbers?

144 Views, 61 Replies
10-13-2006 09:05 AM
What is the fastest way to find which point numbers are used and which are available in C3d 2007?
Mentor
kcobabe
Posts: 834
Registered: ‎07-02-2002
Message 2 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 10:33 AM in reply to: Nrhoads
Open the point folder in the prospector
R10 - 2014 ACAD, 2008 - 2014 Civil 3D, 2010 - 2014 MEP, V8i - V8i SS3 Microstation, ArcMAP
Distinguished Contributor
Nrhoads
Posts: 523
Registered: ‎06-14-2006
Message 3 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 11:24 AM in reply to: Nrhoads
Maybe I should clarify for those who have not used LDT...
We "had" a command to LIST AVAILABLE POINT #'S. In Civil3d we do not have this, that I know of.
I was hoping someone could help me find a way to do this as I have a drawing with 1-1000, 2000-2500, 3000-3100, 4000-4600 etc... and it would be nice to see a list like this!!!
Distinguished Contributor
JoshNelson
Posts: 358
Registered: ‎09-09-2004
Message 4 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 12:00 PM in reply to: Nrhoads
Create a point group and call it whatever you want - maybe "ALL THE POINTS" - go to the point group properties and go to the "INCLUDE" tab or "EXCLUDE" - either one will get you what you want. Choose the checkbox "With numbers matching" and then do a "Selection Set in Drawing". Window all your points. It will then create a list like what you are looking for. For example mine turned out like this:

1, 10-28, 89, 93, 100, 171-177, 405, 1000, 2010, 3000-3072

Basically it is showing you all the points that exist in that drawing. The only catch is that you need to have all the points in that drawing to select them.

Does this answer your question?

Josh
Mentor
kcobabe
Posts: 834
Registered: ‎07-02-2002
Message 5 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 12:09 PM in reply to: Nrhoads
Maybe you should not assume I have not used LDD. This is the C3D forum and you asked a C3D forum question. In that case it's the right anser unless you want to spend the time to build a group with a query.
R10 - 2014 ACAD, 2008 - 2014 Civil 3D, 2010 - 2014 MEP, V8i - V8i SS3 Microstation, ArcMAP
Distinguished Contributor
JoshNelson
Posts: 358
Registered: ‎09-09-2004
Message 6 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 12:12 PM in reply to: Nrhoads
Acutally building the group would be faster than going through all the points via the prospector as you suggested. So I would say, build the group unless you want to take the time to do it via prospector.

Josh
*Jason Hickey
Message 7 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 12:46 PM in reply to: Nrhoads
kcobabe wrote:
> Maybe you should not assume I have not used LDD. This is the C3D
> forum and you asked a C3D forum question. In that case it's the
> right anser unless you want to spend the time to build a group with a
> query.

You think it would be faster to scroll through the points looking for
available point number than building a query?

Nick's question was a very valid one - the command in LDT was very
useful, and easy to do. He was trying to communicate the exact feature
that he's looking for, and your post did very little to answer that.
"Opening the point folder" (what folder?) in prospector tells him
nothing. So in this case, it's *not* the right answer.

--
Jason Hickey

Civil 3D 2007, SP2
Dell Precision M70
2 GIG RAM, 256 MB nVidia Quadro FX Go1400
Intel Centrino 2 gHz Processor

www.civil3d.com
*Jeff Mishler
Message 8 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 12:52 PM in reply to: Nrhoads
Here's a lisp that returns the available point #'s similar to how LDT does.

;| lisp for C3D2007 to report unused Point #'s.
No error handling included, output could use some work.
by Jeff_M Oct. 2006
|;
(defun c:freenums (/ acadobj aecdoc aecobj freelist freestring lst
pnts ptlist seed)
;;following function courtesy Michael Puckett
(defun IntsToRangedString (ints / sorted result group)
;; first sort em, losing any duplicates
(setq
sorted (vl-sort ints '<)
result (list (list (last sorted)))
)
;; now roll 'em ...
(foreach x (cdr (reverse sorted))
(setq result
(if (eq (1+ x) (car (setq group (car result))))
(cons
(cons x (list (last group)))
(cdr result)
)
(cons
(list x)
result
)
)
)
)
(setq result
(mapcar
'(lambda (lst / a b)
(cond
((eq 1 (length lst))
(itoa (car lst))
)
((eq (1+ (setq a (car lst))) (setq b (cadr lst)))
(strcat (itoa a) "," (itoa b))
)
((strcat (itoa a) "-" (itoa b)))
)
)
result
)
)
(apply 'strcat
(append
(list (car result))
(mapcar
'(lambda (x) (strcat "," x))
(cdr result)
)
)
)

)
;;end function
(if (and (setq acadobj (vlax-get-acad-object))
(setq aecobj (vla-getinterfaceobject
acadobj
"AeccXUiLand.AeccApplication.4.0"
)
)
(setq aecDoc (vla-get-activedocument aecobj))
(setq pnts (vlax-get aecDoc 'points))
(< 0 (vlax-get pnts 'count))

)
(progn
(setq seed 0)
(vlax-for pnt pnts
(setq ptlist (append ptlist (list (vlax-get pnt 'number))))
)
(mapcar 'vlax-release-object
(list pnts aecdoc aecobj acadobj)
)
(setq ptlist (vl-sort ptlist '<))
(while (<= (setq seed (1+ seed)) (last ptlist))
(if (not (member seed ptlist))
(setq freelist (cons seed freelist))
)
)
(setq freestring
(strcat (intstorangedstring freelist)
","
(itoa (1+ (last ptlist)))
"+"
)
)
(princ (strcat "Available point #'s: " freestring))
)
)
(princ)
)

wrote in message news:5361263@discussion.autodesk.com...
Maybe I should clarify for those who have not used LDT...
We "had" a command to LIST AVAILABLE POINT #'S. In Civil3d we do not have
this, that I know of.
I was hoping someone could help me find a way to do this as I have a drawing
with 1-1000, 2000-2500, 3000-3100, 4000-4600 etc... and it would be nice to
see a list like this!!!
Distinguished Contributor
JoshNelson
Posts: 358
Registered: ‎09-09-2004
Message 9 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 12:54 PM in reply to: Nrhoads
You don't need to build a query. It will show you your ranges after you window all the points. See attached. If I was to have to go through a list of points and find the gaps it could be easy to miss a gap. For example if you I have points 1-55 and 57-100, scrolling through a list of points it is going to be easy to miss that fact that there is no point number 56. So for me to go through a list of 3000 or so points looking for available numbers, there is too much room for error and it could be tedious. If you look at the attached image you can see that I have the following point ranges available: 2-9, 29-88, 90-92, 94-99, 101-170, 178-404, etc....No query needed and much quicker than figuring out via a visual inspection.

Josh
*Jason Hickey
Message 10 of 62 (144 Views)

Re: Available point numbers?

10-13-2006 01:01 PM in reply to: Nrhoads
JoshNelson wrote:
> You don't need to build a query. It will show you your ranges after
> you window all the points. See attached. If I was to have to go
> through a list of points and find the gaps it could be easy to miss a
> gap. For example if you I have points 1-55 and 57-100, scrolling
> through a list of points it is going to be easy to miss that fact
> that there is no point number 56. So for me to go through a list of
> 3000 or so points looking for available numbers, there is too much
> room for error and it could be tedious. If you look at the attached
> image you can see that I have the following point ranges available:
> 2-9, 29-88, 90-92, 94-99, 101-170, 178-404, etc....No query needed
> and much quicker than figuring out via a visual inspection.

Yes, you're right. I meant the way that you were using with the select
points. My disbelief over the thought that scrolling through a list of
points would be faster clouded the link from my brain to my
fingers....it happens from time to time.



--
Jason Hickey

Civil 3D 2007, SP2
Dell Precision M70
2 GIG RAM, 256 MB nVidia Quadro FX Go1400
Intel Centrino 2 gHz Processor

www.civil3d.com
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!